# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Jcode
Version:	2.07
Release:	40.%{__distinit}%{__distvers}
Summary:	Perl extension interface for converting Japanese text
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Jcode
Source0:	https://cpan.metacpan.org/authors/id/D/DA/DANKOGAI/Jcode-%{version}.tar.gz
Patch0:		Jcode-2.07-UTF-8.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Encode::Alias)
BuildRequires:	perl(Encode::Guess)
BuildRequires:	perl(Encode::JP::H2Z)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(diagnostics)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Encode)
Requires:	perl(Encode::Alias)
Requires:	perl(Encode::Guess)
Requires:	perl(Encode::JP::H2Z)
Requires:	perl(MIME::Base64)
Requires:	perl(Scalar::Util)

%description
%{summary}.

%prep
%setup -q -n Jcode-%{version}

# Fix character encoding of pod file
%patch -P 0 -p1 -b .timestamp
touch --reference=Jcode/Nihongo.pod.timestamp Jcode/Nihongo.pod
rm Jcode/Nihongo.pod.timestamp

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes* README
%{perl_vendorlib}/Jcode.pm
%dir %{perl_vendorlib}/Jcode/
%doc %{perl_vendorlib}/Jcode/Nihongo.pod
%{_mandir}/man3/Jcode.3*
%{_mandir}/man3/Jcode::Nihongo.3*

%changelog
* Tue Apr 25 2023 Paul Howarth <paul@city-fan.org> - 2.07-40
- Use SPDX-format license tag
- Avoid use of deprecated patch tag

* Mon Oct  7 2019 Paul Howarth <paul@city-fan.org> - 2.07-30
- Spec tidy-up
  - Add some dependencies missed by automatic dependency generator
  - Retain timestamp of Jcode/Nihongo.pod when patching

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 2.07-28
- Perl 5.30 rebuild

* Sat Apr 28 2018 Paul Howarth <paul@city-fan.org> - 2.07-24
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Wed Aug 31 2016 Paul Howarth <paul@city-fan.org> - 2.07-20
- BR: perl-generators where available
- Simplify find command using -delete

* Fri Feb 26 2016 Paul Howarth <paul@city-fan.org> - 2.07-19
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> - 2.07-9
- Perl 5.16 rebuild

* Thu Apr 26 2012 Paul Howarth <paul@city-fan.org> - 2.07-8
- BR: perl(Carp), perl(Data::Dumper) and perl(Exporter)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Package is always noarch
  - Use %%{_fixperms} macro rather than our own chmod incantation
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Don't need to define %%{perl_vendorarch}/%%{perl_vendorlib}
  - Don't need to run test suite with LC_ALL=C

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> - 2.07-7
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Use patch rather than scripted edit to fix encoding of Nihongo.pod
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 2.07-6
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> - 2.07-5
- Fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> - 2.07-4
- Dist tag for Rawhide no longer needs special-casing

* Tue Aug 25 2009 Paul Howarth <paul@city-fan.org> - 2.07-3
- Add explicit perl(MIME::Base64) dependency for MIME header support
- Define RPM macros in global scope

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> - 2.07-2
- Run test suite in "C" locale to support build on old distributions
- Package is arch-specific on perl < 5.8.1
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Tue May 13 2008 Paul Howarth <paul@city-fan.org> - 2.07-1
- Update to 2.07

* Mon Mar 10 2008 Paul Howarth <paul@city-fan.org> - 2.06-6
- Add buildreq perl(Test::More)
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- 
* Tue Jun  5 2007 Paul Howarth <paul@city-fan.org> - 2.06-3
- Fix dist tag for Fedora 7 onwards
- Add buildreq perl(ExtUtils::MakeMaker)
- Fix argument order for find with -depth

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> - 2.06-2
- Fix distribution tags for development releases

* Mon Jul  3 2006 Paul Howarth <paul@city-fan.org> - 2.06-1
- Update to 2.06

* Tue May 16 2006 Paul Howarth <paul@city-fan.org> - 2.05-1
- Update to 2.05
- Encode manpages in UTF-8

* Tue Apr 18 2006 Paul Howarth <paul@city-fan.org> - 2.04-1
- Update to 2.04
- Define %%__id_u in a more portable way
- Support build on CentOS

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> - 2.03-1
- Update to 2.03
- Add perl(MIME::Base64) buildreq
- Include old Changes file too
- Package is noarch for perl 5.8.1 or newer; new %%files section written

* Thu Jan 26 2006 Paul Howarth <paul@city-fan.org> - 0.88-2
- Import from Fedora Extras
- Use search.cpan.org URL for source
- Tidy up

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Dec 04 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.88-0.fdr.1
- Update to 0.88

* Sun Jul 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.87-0.fdr.1
- Update to 0.87
- Require perl(:MODULE_COMPAT_*)

* Mon Jun 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.86-0.fdr.1
- Update to 0.86

* Sat Jun 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.85-0.fdr.1
- Update to 0.85
- Bring up to date with current fedora.us Perl spec template

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.4
- Reduce directory ownership bloat

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.3
- Install into vendor dirs
- Specfile cleanup

* Sun Jul  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.2
- Regenerate %%install section with cpanflute2, omit spurious *.pl

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.83-0.fdr.1
- Update to 0.83 and to current Fedora guidelines

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.82-1.fedora.1
- First Fedora release
